Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

nombre réponses : 20

#0 Re : -1 »  Bonjour les nouveaux, présentez-vous ici. Et bienvenue :-) [2] » Le 24/06/2011, à 05:18

Baleine
Réponses : 2446

Salut à tous,
Vive les gnous et les pingouins !

Pas eu besoin jusqu'ici des services du forum, la documentation est foisonnante -bravo et merci aux contributeurs !
Mais y'a deux jours, mon joli Lucid Lynx a fait un truc que j'ai pas du tout compris, j'ai pas trouvé l'astuce, me voilà. Pour mon plus grand plaisir.

Bonne nuit les animaux, moi c'est Baleine.

#1 Re : -1 »  acepter eula » Le 13/12/2012, à 00:12

Baleine
Réponses : 36

Même problème pour une toute autre installation (GameEditor)

baleine@baleine:~/----/GameEditor$ ./gameEditorLinux
./gameEditorLinux: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

Le paquet libstdc++6 est aussi installé chez moi... si vous avez un tuyau je suis preneur, et je continue mes recherches de toute façon.
Merci à vous

#2 Re : -1 »  acepter eula » Le 14/12/2012, à 13:07

Baleine
Réponses : 36

La lib32 s'installe sans problème. Pour la 64 c'est autre chose :

baleine@baleine:~/ sudo apt-get install lib64stdc++6
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 lib64stdc++6:i386 : Dépend: lib64gcc1:i386 (>= 1:4.1.1) mais ne sera pas installé
                     Dépend: libc6-amd64:i386 (>= 2.14) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Mais l'installation de la lib32 change le problème, au lieu de me demander la libstdc++.so.6, elle me demande ça :

baleine@baleine:~/ ./gameEditorLinux 
./gameEditorLinux: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

Je vais chercher la libX11.so.6 sur le forum, voir si je trouve quelque chose

#3 Re : -1 »  acepter eula » Le 14/12/2012, à 13:34

Baleine
Réponses : 36

J'essaye d'avancer, et voilà la procédure que je suis.
Avec la commande ldd, je liste les dépendances de ./gameEditorLinux

baleine@baleine:~/ ldd ./gameEditorLinux
	linux-gate.so.1 =>  (0xf7765000)
	libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf766d000)
	libpthread.so.0 => /lib32/libpthread.so.0 (0xf7652000)
	libX11.so.6 => not found
	libXext.so.6 => not found
	libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf7634000)
	libc.so.6 => /lib32/libc.so.6 (0xf748c000)
	libm.so.6 => /lib32/libm.so.6 (0xf7461000)
	/lib/ld-linux.so.2 (0xf7766000)

La libstdc++.so.6 a bien été installé, Elle était donc bien dans le paquet lib32stdc++6.
Il me manque d'autre librairies : la libX11.so.6 et la libXext.so.6
J'essaye de les trouver, et pour ça, j'installe le programme apt-file.

Je lance :

baleine@baleine:~/ sudo apt-file search libX11.so.6
libx11-6: /usr/lib/x86_64-linux-gnu/libX11.so.6
libx11-6: /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0
libx11-6-dbg: /usr/lib/debug/usr/lib/x86_64-linux-gnu/libX11.so.6.3.0

Et

baleine@baleine:~/ sudo apt-file search libXext.so.6
libxext6: /usr/lib/x86_64-linux-gnu/libXext.so.6
libxext6: /usr/lib/x86_64-linux-gnu/libXext.so.6.4.0
libxext6-dbg: /usr/lib/debug/usr/lib/x86_64-linux-gnu/libXext.so.6.4.0

Je sais pas vraiment ce que veut dire tout ça, mais j'ai l'impression que les librairies ont déjà installées.

baleine@baleine:~$ dpkg -l | grep -i libx11
ii  libx11-6                             2:1.4.99.1-0ubuntu2                     X11 client-side library
ii  libx11-data                          2:1.4.99.1-0ubuntu2                     X11 client-side library
ii  libx11-xcb1                          2:1.4.99.1-0ubuntu2                     Xlib/XCB interface library
baleine@baleine:~$ dpkg -l | grep -i libxext6
ii  libxext6                             2:1.3.0-3build1                         X11 miscellaneous extension library

Mon bazar sort peut-être un peu des clous de ce post, je crois que ton problème, josep, va être résolu s'il ne te manque que la librairie libstdc++6.

#4 Re : -1 »  acepter eula » Le 14/12/2012, à 16:27

Baleine
Réponses : 36

Ok, j'ai compris l'idée générale. Je te remercie.
Ça ne marche toujours pas mais je dois m'y prendre comme un manche, c'est la première fois que j'installe des paquets depuis "packages.ubuntu.com".

1 Après avoir cliqué sur ton lien, j'ai cliqué dans la petite colonne "Paquets" sur libxext6 [non amd64] puisque je cherche à obtenir les librairies en 32 bits
2 Je me retrouve sur la page du paquet, dans la section Télécharger libxext6 je clique sur i386 et dans la liste des miroirs, j'en choisi un au hasard en Europe
3 Je télécharge le paquet.deb, et je l'installe avec mon installeur de paquets.

Mon installeur de paquet a écrit :

Une version plus ancienne est disponible dans un dépôt

Qu'importe, j'installe le paquet

Mon installeur de paquet a écrit :

Erreur : impossible de résoudre les dépendances, le cache est corrompu

Et en version terminal ça dit :

Sélection du paquet libx11-6:i386 précédemment désélectionné.
(Lecture de la base de données... 189607 fichiers et répertoires déjà installés.)
Dépaquetage de libx11-6:i386 (à partir de .../libx11-6_1.5.0-1_i386(1).deb) ...
Déconfiguration de libx11-6 ...
dpkg : erreur de traitement de libx11-6:i386 (--install) :
 libx11-6:i386 2:1.5.0-1 cannot be configured because libx11-6:amd64 is in a different version (2:1.4.99.1-0ubuntu2)
dpkg : erreur de traitement de libx11-6 (--install) :
 libx11-6:amd64 2:1.4.99.1-0ubuntu2 cannot be configured because libx11-6:i386 is in a different version (2:1.5.0-1)
Des erreurs ont été rencontrées pendant l'exécution :
 libx11-6:i386
 libx11-6

Il me propose de lancer sudo apt-get install -f qui renvoie

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libxcb1:i386 libxau6:i386 libxdmcp6:i386
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  libx11-6:i386
0 mis à jour, 0 nouvellement installés, 1 à enlever et 2 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 1 524 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 189609 fichiers et répertoires déjà installés.)
Suppression de libx11-6:i386 ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place
Paramétrage de libx11-6 (2:1.4.99.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place

Bon, je suis certain de faire des bêtises. Tu peux m'expliquer la procédure ?

#5 Re : -1 »  acepter eula » Le 14/12/2012, à 16:33

Baleine
Réponses : 36

D'accord.
Donc le paquet est libx11-6.
Mais ce paquet est déjà installé...

Si j'ai bien saisi le problème :
J'ai installé un système en 64bit, et ce programme (GameEditor) n'aime pas ça. Il tourne en 32bit et il lui manque donc des librairies spécifiques aux systèmes en 32bit.
Pour qu'il tourne, il faut donc que j'installe ces librairies.
Mais mon système étant en 64bit, l'apt-get install cherchera toujours des librairies en 64bit, sauf si je lui spécifie un chemin vers des librairies en 32bit, comme quand j'ai installé, sur tes conseils, le paquet lib32stdc++6.

Si je fais une recherche sur les pages packages.ubuntu du paquet libstdc++.so.6, je me retrouve effectivement avec une longue liste de paquets, dont le fameux lib32stdc++6. Je vois donc qu'il faut que j'installe ce paquet, qui va greffer sur mon système en 64bit une librairies 32bit.

Mais quand je fais une recherche pour libX11.so.6 ou libXext.so.6, je ne me retrouve qu'avec deux paquets : aucun "lib32x11-6" ou lib32xext", ou quelque chose dans le genre.

Peut-être que j'ai mal compris toute l'histoire, dis-moi...

#6 Re : -1 »  acepter eula » Le 14/12/2012, à 16:59

Baleine
Réponses : 36

J'ai modifié le message précédent.
Ok, effectivement, le programme ne cherche pas au bon endroit.

J'avais essayé de créer un lien dans les librairies /lib32 (l'endroit où le programme cherche) qui pointerait vers ces librairies en particulier (libX11.so.6, libXext.so.6), qui elles se trouvent dans un autre dossier.
Premièrement, je ne sais pas vraiment si je m'y suis bien pris (y'a-t-il une commande pour créer un lien dans un des dossiers /lib qui pointerait vers le bon fichier dans un autre dossier lib ?)
Deuxièmement, je ne suis pas certain que ce soit la bonne méthode.

Le LD_LIBRARY_PATH, je suppose, et un fichier de configuration qui se trouve dans le dossier /GameEditor, le programme que je cherche à installer ?
Ou bien c'est un fichier de mon système qui indique à tous les programmes où chercher leurs librairies ?
Où dois-je le chercher ?

#7 Re : -1 »  acepter eula » Le 14/12/2012, à 17:18

Baleine
Réponses : 36

OK.
LD_LIBRARY_PATH est une variable d'environnement (j'aurais dû chercher avant de dire des bêtises).

La commande  echo $LD_LIBRARY_PATH ne renvoie rien.
Quant à printenv

baleine@baleine:~$ printenv
SSH_AGENT_PID=1591
SAL_USE_VCLPLUGIN=gtk
TERM=xterm
XDG_MENU_PREFIX=lxde-
SHELL=/bin/bash
XDG_SESSION_COOKIE=9854c95749ff5ab91d09860f0000000d-1355481757.2548-631306384
GNOME_KEYRING_CONTROL=/tmp/keyring-KHkFpv
USER=baleine
LS_COLORS=......... un tas de chiffre, on s'en fout
LIBGL_DRIVERS_PATH=/usr/lib/fglrx/dri:/usr/lib32/fglrx/dri
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
SSH_AUTH_SOCK=/tmp/keyring-KHkFpv/ssh
DEFAULTS_PATH=/usr/share/gconf/Lubuntu.default.path
XDG_CONFIG_DIRS=/etc/xdg/lubuntu/:/etc/xdg/xdg-Lubuntu:/etc/xdg
PATH=/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
DESKTOP_SESSION=Lubuntu
PWD=/home/baleine
GNOME_KEYRING_PID=1600
LANG=fr_FR.UTF-8
MANDATORY_PATH=/usr/share/gconf/Lubuntu.mandatory.path
GDMSESSION=Lubuntu
_LXSESSION_PID=1562
SHLVL=1
HOME=/home/baleine
XDG_CONFIG_HOME=/home/baleine/.config
LOGNAME=baleine
XDG_DATA_DIRS=/etc/xdg/lubuntu:/usr/share/Lubuntu:/usr/local/share/:/usr/share/:/usr/share:/usr/share/gdm:/var/lib/menu-xdg
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mONpVHsFa7,guid=bc37e4eac2458afec19efd0500000023
LESSOPEN=| /usr/bin/lesspipe %s
DISPLAY=:0
XDG_CURRENT_DESKTOP=LXDE
LESSCLOSE=/usr/bin/lesspipe %s %s
XAUTHORITY=/home/baleine/.Xauthority
_=/usr/bin/printenv
OLDPWD=/home/baleine/.../GameEditor

Je ne trouve pas LD_LIBRARY_PATH. Où puis-je modifier cette variable ?

#8 Re : -1 »  acepter eula » Le 14/12/2012, à 17:37

Baleine
Réponses : 36

OK

sudo LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./gameEditorLinux
./gameEditorLinux: error while loading shared libraries: libX11.so.6: wrong ELF class: ELFCLASS64

ou

 sudo LD_LIBRARY_PATH=/usr/lib ./gameEditorLinux
./gameEditorLinux: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

Je suis peut-être un peu manche

La première me semble être la bonne, il doit falloir indiquer le dossier dans lequel se trouve directement le fichier (pas le dossier dans lequel se trouve le dossier qui contient le fichier) mais il me dit que c'est un paquet conçu pour du 64bit : ELFCLASS64, c'est ça ?

#9 Re : -1 »  acepter eula » Le 14/12/2012, à 18:00

Baleine
Réponses : 36

Est-ce que cette page est à jour, ou y'a-t-il une méthode pour la version 12.04.01 ?

#10 Re : -1 »  acepter eula » Le 14/12/2012, à 18:21

Baleine
Réponses : 36

tiramiseb> une bêtise... ça marche très bien sans. Enfin, ça renvoie le même résultat.
fredh027> je serais fâché d'avoir à installer wine rien que pour ça

#11 Re : -1 »  acepter eula » Le 14/12/2012, à 19:10

Baleine
Réponses : 36

J'ai aussi essayé cette méthode :
J'ai dépaqueté les .deb que j'avais trouvé sur le site packages.ubuntu.com

dpkg-deb -x libx11-6_1.5.0-1_i386.deb test

Ensuite j'ai copié les lib présentes dans le dossier dépaqueté et je les ai copiés dans mon dossier lib32 (celui où mon programme à l'habitude de chercher)
Soit :

sudo cp -s /home/galure/Téléchargements/test/usr/lib/i386-linux-gnu/libX11.so.6  /lib32
sudo cp /home/galure/Téléchargements/test/usr/lib/i386-linux-gnu/libX11.so.6.3.0  /lib32

Et j'ai lancé le programme, mais il me renvoie toujours la même erreur.
C'est une méthode que j'avais trouvée ici : http://forum.ubuntu-fr.org/viewtopic.php?id=387671

#12 Re : -1 »  Instal firestorm viwer » Le 14/12/2012, à 14:39

Baleine
Réponses : 3

Dans le terminal :
Sélectionne ce que tu veux copier
Clique droit
Copier
Et tu peux coller ici avec Ctrl+v

#13 -1 »  Problème de disque ? » Le 24/10/2012, à 14:26

Baleine
Réponses : 8

Depuis la dernière mise à jour (Ubuntu 10.04), mon ordinateur est plus lent, le lecteur VLC en particulier a du mal à lire des vidéos (saccades).
Le système entier est plus lent, comme si un démon mangeait tout le CPU.
Peut-être que le problème n'est pas lié avec la dernière mise à jour (une simple coïncidence), car les données SMART me renvoient un avertissement pour le nombre de secteurs réalloués :

5.Nombre de secteurs réalloués ---- Avertissement ---- Normalisé : 100  La pire : 100 Seuil : 5  Valeur ; 1703962 (sic)

La valeur me semble énorme...

Je ne sais pas quelle information vous donner pour permettre un diagnostique, je ne sais même pas d'où le problème peut venir, et je n'ai aucune idée de ce qu'est un "secteur réalloué", sinon qu'il doit y avoir un problème avec mon disque dur.

#14 Re : -1 »  Problème de disque ? » Le 24/10/2012, à 15:22

Baleine
Réponses : 8

fdisk -l  rend :

Disque /dev/sda: 500.1 Go, 500107862016 octets
255 têtes, 63 secteurs/piste, 60801 cylindres
Unités = cylindres de 16065 * 512 = 8225280 octets
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Identifiant de disque : 0x1549f232

Périphérique Amorce  Début        Fin      Blocs     Id  Système
/dev/sda1               1         729     5855661    5  Etendue
/dev/sda2   *         730        6808    48829567+  83  Linux
/dev/sda3            6809       59086   419923035   83  Linux
/dev/sda4           59087       60801    13775737+  83  Linux
/dev/sda5               1         729     5855629+  82  Linux swap / Solaris

Je pensais que la 10.04 était une LTS aussi, ça n'est pas le cas ? ou alors le Long Term est arrivé à son terme ?
Ma bécane n'est plus toute fraîche et j'ai lu que la version 12.04 était un peu plus lourde. Peut-être le temps de migrer vers un Xubuntu ?
Une idée peut-être pour cette histoire de secteur réalloués ?
Merci de ton aide

#15 Re : -1 »  Problème de disque ? » Le 25/10/2012, à 01:48

Baleine
Réponses : 8

Merci à tous pour vos précieux conseils.
Je suis passé à la 12.04, tout semble rouler (sauf que j'arrive pas à enlever ce pu&%# de lanceur, j'y travaille).
Les vidéos fonctionnent, et l'ordinateur est aussi rapide qu'avant.
Aucune idée de ce qui a pu arriver. Peut-être une mise à jour ratée, ou un problème de dépendances, ou un démon qui faisait n'importe quoi.

Pour info :

description: 	CPU
produit: 	Intel(R) Core(TM)2 Quad CPU Q6600 @ 2.40GHz
version: 	6.15.11
taille: 	1600MHz
capacité: 	2400MHz
bits: 	64 bits
horloge: 	267MHz

et pour les températures

b@leine:~$ sensors
coretemp-isa-0000
Adapter: ISA adapter
Core 0:       +74.0°C  (high = +82.0°C, crit = +100.0°C)
Core 1:       +71.0°C  (high = +82.0°C, crit = +100.0°C)
Core 2:       +68.0°C  (high = +82.0°C, crit = +100.0°C)
Core 3:       +67.0°C  (high = +82.0°C, crit = +100.0°C)

f8000-isa-0a00
Adapter: ISA adapter
+3.3V:        +3.33 V  
3VSB:         +3.36 V  
Vbat:         +3.22 V  
fan1:        2051 RPM
fan2:        1557 RPM
fan3:           0 RPM  ALARM
fan4:           0 RPM
temp1:        +39.0°C  (high = +70.0°C, hyst = +60.0°C)
temp2:        +56.0°C  (high = +100.0°C, hyst = +85.0°C)
temp3:        +53.0°C  (high = +100.0°C, hyst = +85.0°C)

Dans cette nouvelle version, je ne sais pas où chercher les données SMART. Une idée ?
Et cette histoire de secteurs réalloués, c'est quoi au juste ?

#16 Re : -1 »  Décrypter données SMART : mon disque dur est-il en fin de vie ? » Le 23/10/2012, à 19:40

Baleine
Réponses : 15

Hum.
A propos de disque en fin de vie, je ne me fais pas d'illusion mais j'aimerais l'avis d'un confrère.
L'utilitaire de disque clignote presque tellement il est rouge, dans la section "Nombre de secteurs réalloués", et il indique en gros "Avertissement".

Normalisé : 100
La pire : 100
Seuil : 5
Valeur (accrochez-vous) : 1703962

Hum.
Soyez francs.

Je suis en train d'effectuer un auto-test pour les données SMART, on verra bien.

Question technique, comment fonctionnent les fameux "secteurs réalloués"? à quoi ça correspond ? à quoi ça sert ? C'est grave docteur ?

#17 Re : -1 »  Le début de la fin de l'anonymat » Le 24/06/2011, à 05:07

Baleine
Réponses : 40

Ce que Facebook propose, c'est d'aller dans la rue avec sa carte d’identité avec ses coordonnées autour du cou...

Pas seulement sa carte d'identité ! L'intégralité de nos déplacements sur internet, soit :
- Nos recherches et donc nos centres d'intérêts
- Le site sur lequel nous cherchons des nouvelles et donc notre orientation politique
- Nos goûts
- Notre "degré d'éducation"
- L'ensemble de nos contacts et réseaux sociaux et donc notre "milieu"
- Le cas écheant, nos fantasmes et notre orientation sexuelle

Si nous nous promenions dans la rue avec toutes ces informations autour du cou, le monde serait tordu... voilà ce qu'est le Web !

Sans compter ce que représente commercialement le fichage des utilisateurs pour vendre des espaces de publicité "ciblée".
L'idée qu'on n'a "rien à cacher" est un écran de fumée...

#18 Re : -1 »  Le début de la fin de l'anonymat » Le 24/06/2011, à 17:57

Baleine
Réponses : 40
Hibou57 a écrit :

Ça dépend : si je me balade au centre ville à Metz ou au centre ville à Nancy, on me connaitra, saura même où j’habite, ou ne me connaitra pas du tout. [...] J’ai l’impression que si l’anonymat sur le Net est plus important que dans les lieux publiques traditionnels, c’est parce qu’il y a plus de craintes vis-à-vis du Net que des espaces publiques traditionnels. Impression fondée ou pas à ton avis ?

Oui, bien sûr qu'elle est fondée. Il est beaucoup plus difficile de mettre en place une surveillance systématique dans les lieux publics que sur Internet. Internet est une gigantesque base de donnée, il suffit de piocher dedans. Pour accéder aux mêmes types d'informations dans un lieu public traditionnel, il faudrait beaucoup plus de matériel, de temps, de personnel. Encore un fois, le nombre d'informations accéssibles sur Internet est vertigineux.
D'autre part, l'anonymat dans la rue est aussi un sujet d'inquiétude, il est très facile de repérer quelqu'un grâce à son téléphone portable ou sa carte bleue. Mais le type d'informations recueillies (géolocalisation) n'est rien comparé à la somme d'informations laissées sur internet : page consultées, recherches, contenus des mails, paiements effectués, ... un profil complet !

Hibou57 a écrit :

En tous cas, je peux au moins démontrer que c’est d’abord un problème de confiance : les FAI ont notre identité, et ça n’inquiète personne.

C'est très inquiétant, au contraire ! Les FAI sont au centre du dispositif Hadopi, ce sont eux qui sont censés "traquer les fraudeurs". Un article du Monde.fr à l'appui : Hadopi a envoyé ses premières demandes d'identification aux FAI

Hibou57 a écrit :

On pourrait aussi se poser la question : pourra t-on toujours faire confiance aux FAI ?

Des internautes ne leur font déjà pas confiance. Les créateurs du site Pirate Bay proposent des connexions VPN anonymisées pour contourner les FAI : article wikipédia.

Hibou57 a écrit :

Les commentateurs ne vont-ils pas juste être vérifié et associés à une sorte d’identifiant unique, peut-être aussi bénin qu’une adresse IP ?

K4ede a répondu à cette question... une adresse IP n'a rien de bénin. Outre notre adresse, nom, elle permet de retrouver l'intégralité de nos déplacements sur internet, l'ensemble des pages consultées, des réponses données dans des forums, la musique que nous écoutons, les vidéos que nous consultons, les achats effectués, les mails envoyés et nos contacts et réseaux ; ainsi, bien plus précisément qu'une surveillance non virtuelle (et surtout à bien moindre coût), elle permet de dresser un profil complet d'un utilisateur.

K4ede a écrit :

Cependant, je conviens que l'anonymat peut avoir des limites, comme l'a montré le récent buzz à propos de l’enlèvement d'une fausse blogueuse.

Là, le débat peut devenir intéressant. Il me semble que dans cette histoire, ce n'est pas l'anonymat qui doit être remis en cause, mais le fait d'avoir pris ce blog pour argent comptant.
Si le journalisme est toujours la recherche d'infos vérifiables émanants de sources fiables, il y a certainement eu un peu d'empressement de la part des journalistes qui ont repris l'info de l'enlèvement de cette blogueuse, qui était en fait un blogueur pas du tout enlevé...

L'anonymat, tout comme la sécurité sur internet, la simple navigation, la recherche d'information, ou même les logiciels libres, nécessite une éducation. C'est en apprenant à se servir des outils à notre disposition que nous pouvons préserver notre vie privée, c'est en croisant les sources et en les vérifiant que nous pouvons accéder à une information de qualité, c'est en cherchant à comprendre les ordinateurs et leur fonctionnement que nous pouvons rendre nos logiciels modifiables.
Tout ces actes permettent de créer un web démocratique et libre.

Edit : J'en profite pour donner une liste loin d'être exhaustive quelques outils qui permettent de préserver son anonymat, mais il y déjà un page dans la documentation de ce site.

Ixquick est un méta-moteur de recherche qui ne conserve pas les adresses IP de ses utilisateurs. Une bonne alternative à Google
NoScript permet de bloquer les scripts Java et Flash, qui permettent d'intentifier les adresses IP des utilisateurs.
Le réseau TOR permet, par un système de routage "en oignon" de prendre une autre adresse IP, à l'image d'un proxy. Cela ne vous protège pas de votre FAI, à moins d'installer chez soi un "noeud Tor", bien que cela comporte quelques risques - allez donc jeter un coup d'oeil sur le site, ça sera plus clair.
Ipredator est un service payant de connexion VPN qui permet de contourner les FAI.

Il est toujours préférable de choisir la "navigation privée" sur votre navigateur préféré, de refuser les cookies, de ne jamais coserver l'historique, etc...

#19 -1 »  Bug économiseur d'écran et Xorg au ralenti » Le 22/06/2011, à 05:21

Baleine
Réponses : 0

Bonne nuit à tous

Quelques infos sur la bête :

lucid
kernel 2.6.32-32-generic
Intel(R) Core(TM)2 Quad 2.40GHz
ATI Technologies Inc RV730XT [Radeon HD 4670]
Pilote propriétaire, malheureusement, le libre ralentit énormément mon bazar

Le bug à commencé en activant, pour faire joli, un autre économiseur d'écran que le placide "écran vide" : après une mise en veille du système, la fenêtre de connexion n'apparaissait plus. Je contournais le problème en passant furtivement par une des tty1-6 et en revenant illico sur la couche graphique, la fenêtre de connexion surgissait, j'entrais le mot de passe et j'étais content.
Mais voilà que tout à l'heure, patatra, en faisant la même manip', les commandes Ctrl+Alt+F1-6 ne fonctionnaient plus, je n'avais donc plus accès à aucune des consoles, le système est resté coincé une bonne heure sur un économiseur d'écran gelé. De dépit, j'ai donc sauvagement éteint mon PC. En m'excusant toutefois.

En rebootant, toute la couche graphique était ralentie. Les effets un peu "lourds" (Cairo dock, cube, films et les vidéos en flash sur le web) fonctionnaient, mais au rythme des pandas. J'ai sélectionné à nouveau le morne "écran vide" en guise d'économiseur, j'ai redémarré la bécanne, le problème persistait. Je vous fais grâce de toutes les opérations inutiles que j'ai effectué ensuite (syslog, top, reboot à plusieurs reprises, quelques heures de documentation et de forum, un verre de whisky et pas mal de clopes).

Le problème s'est résolu tout seul : au lieu de rebooter, j'ai arrêté l'ordinateur. Et depuis qu'il est rallumé, tout ronronne.
Bref, le problème est résolu. Mais j'ai pas compris pourquoi. Et ça me chiffonne.

Trois questions, donc :
Y'a-t-il une différence entre rebooter, et éteindre puis rallumer son ordinateur ?
Quelqu'un sait-il pourquoi bigre mon bidule marchait pas, et pourquoi il marche maintenant ?
Quelqu'un d'autre a-t-il rencontré des problèmes d'économiseur d'écran, et comment les a-t-il résolus ?

C'est pas une urgence, mais si vous éclairez ma lanterne j'y verrais plus clair.
Je vous salue au passage.

Edit : Le morose "écran vide" ne pose à présent aucun problème...
Edith Piaf : Par contre, dès que je change l'économiseur d'écran, le problème ressurgit. L'écran de veille se fige. Il me faut passer par une console texte pour pouvoir revenir sur la fenêtre de connexion. A la longue, j'ai bien peur que cette manip' d'évitement n'aboutisse au même problème : écran gelé, extinction sauvage, Xorg ralenti, prise de tête et cellule psychologique sur le forum d'Ubuntu... aboutissant fatalement à un accroissement de mon alcoolisme.